------------------------------------------------------------------------------------------
-- create the Alarm window
------------------------------------------------------------------------------------------
local timerAlarm = 0;
local windowVisible = false;
function CreateAlarmWindow()
	local nowtime = Turbine.Engine.GetLocalTime();
	local gametime = Turbine.Engine.GetGameTime();
	local adjust = (nowtime - (nowtime - gametime + settings["Server"]["TS"]))% 11160;
	if (adjust <= 6140) then 
		sDay = "day";
	else 
		sDay = "night"; 
	end

	AlarmWindow=Turbine.UI.Extensions.SimpleWindow();
	AlarmWindow:SetSize(600,300); 
	AlarmWindow:SetZOrder(1000);
	AlarmWindow:SetBackColor(Turbine.UI.Color( .01, .5, .7, .5));
	AlarmWindow:SetVisible(false);
	AlarmWindow:SetWantsUpdates(true);

	AlarmWindow:SetPosition((Turbine.UI.Display:GetWidth()-AlarmWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-AlarmWindow:GetHeight())/2);

	AlarmWindow.Message1=Turbine.UI.Label(); 
	AlarmWindow.Message1:SetParent(AlarmWindow); 
	AlarmWindow.Message1:SetSize(600,50); 
	AlarmWindow.Message1:SetPosition(AlarmWindow:GetWidth()/2 - 300, AlarmWindow:GetHeight()/2 - 150); 
	AlarmWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	AlarmWindow.Message1:SetForeColor(Turbine.UI.Color.Red); 
	AlarmWindow.Message1:SetFont(Turbine.UI.Lotro.Font.TrajanProBold36);
	AlarmWindow.Message1:SetText(Strings.OptionsAlarm6); 
	AlarmWindow.Message1:SetZOrder(10000);
	AlarmWindow.Message1:SetMouseVisible(true);
	AlarmWindow.Message1:SetBackColor(Turbine.UI.Color( .6, .5, .7, .5));

	hourAlarm = settings["Alarm"]["hour"];
	minAlarm = settings["Alarm"]["min"];

	if(settings["TimeZone"]["AMPM"] == false)then
		if (tonumber(hourAlarm) < 10 )then 
			hourAlarm = "0" .. hourAlarm; 
		end
	end
	if (tonumber(minAlarm) < 10 )then 
		minAlarm = "0" .. minAlarm; 
	end

	AlarmWindow.Message2=Turbine.UI.Label(); 
	AlarmWindow.Message2:SetParent(AlarmWindow); 
	AlarmWindow.Message2:SetSize(600,50); 
	AlarmWindow.Message2:SetPosition(AlarmWindow:GetWidth()/2 - 300, AlarmWindow:GetHeight()/2 - 100); 
	AlarmWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	AlarmWindow.Message2:SetForeColor(Turbine.UI.Color.Red); 
	AlarmWindow.Message2:SetFont(Turbine.UI.Lotro.Font.TrajanProBold36);
	if(settings["TimeZone"]["AMPM"]  == false)then
		AlarmWindow.Message2:SetText(hourAlarm .. ":" .. minAlarm); 
	else
		AlarmWindow.Message2:SetText(hourAlarm .. ":" .. minAlarm .. " " .. settings["Alarm"]["timePos"]); 
	end
	AlarmWindow.Message2:SetZOrder(10000);
	AlarmWindow.Message2:SetMouseVisible(true);
	AlarmWindow.Message2:SetBackColor(Turbine.UI.Color( .6, .5, .7, .5));

	AlarmWindow.Message1.MouseClick = function()
		AlarmWindow:SetVisible(false);
		settings["isAlarmDefined"]["isAlarmDefined"] = false;
		settings["Alarm"]["hour"] = "0";
		settings["Alarm"]["min"] = "0";
		CreateMainWindow(sDay);
		ClockWindow:SetVisible(true);
	end

	AlarmWindow.Message2.MouseClick = function()
		AlarmWindow:SetVisible(false);
		settings["isAlarmDefined"]["isAlarmDefined"] = false;
		settings["Alarm"]["hour"] = "0";
		settings["Alarm"]["min"] = "0";
		CreateMainWindow(sDay);
		ClockWindow:SetVisible(true);
	end
end